org.apache.struts2.views.velocity

## Class StrutsVelocityContext

- java.lang.Object
- - org.apache.velocity.context.AbstractContext
  - - org.apache.velocity.VelocityContext
    - - org.apache.struts2.views.velocity.StrutsVelocityContext

- All Implemented Interfaces:
    Cloneable, org.apache.velocity.context.Context, org.apache.velocity.context.InternalEventContext

      public class StrutsVelocityContext
      extends org.apache.velocity.VelocityContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsVelocityContext(ValueStack stack)`
    `StrutsVelocityContext(org.apache.velocity.VelocityContext[] chainedContexts, ValueStack stack)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.velocity.app.event.EventCartridge` | `attachEventCartridge(org.apache.velocity.app.event.EventCartridge arg0)`
    `int` | `getCurrentMacroCallDepth()`
    `String` | `getCurrentMacroName()`
    `org.apache.velocity.runtime.resource.Resource` | `getCurrentResource()`
    `String` | `getCurrentTemplateName()`
    `org.apache.velocity.app.event.EventCartridge` | `getEventCartridge()`
    `List` | `getMacroLibraries()`
    `Object[]` | `getMacroNameStack()`
    `Object[]` | `getTemplateNameStack()`
    `org.apache.velocity.util.introspection.IntrospectionCacheData` | `icacheGet(Object arg0)`
    `void` | `icachePut(Object arg0, org.apache.velocity.util.introspection.IntrospectionCacheData arg1)`
    `boolean` | `internalContainsKey(Object key)`
    `Object` | `internalGet(String key)`
    `void` | `popCurrentMacroName()`
    `void` | `popCurrentTemplateName()`
    `void` | `pushCurrentMacroName(String arg0)`
    `void` | `pushCurrentTemplateName(String arg0)`
    `void` | `setCurrentResource(org.apache.velocity.runtime.resource.Resource arg0)`
    `void` | `setMacroLibraries(List arg0)`

    - ### Methods inherited from class org.apache.velocity.VelocityContext

      `clone, internalGetKeys, internalPut, internalRemove`

    - ### Methods inherited from class org.apache.velocity.context.AbstractContext

      `containsKey, get, getChainedContext, getKeys, put, remove`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrutsVelocityContext

          public StrutsVelocityContext(ValueStack stack)

    - #### StrutsVelocityContext

          public StrutsVelocityContext(org.apache.velocity.VelocityContext[] chainedContexts,
                                       ValueStack stack)

  - ### Method Detail

    - #### internalContainsKey

          public boolean internalContainsKey(Object key)

      Overrides:
        `internalContainsKey` in class `org.apache.velocity.VelocityContext`

    - #### internalGet

          public Object internalGet(String key)

      Overrides:
        `internalGet` in class `org.apache.velocity.VelocityContext`

    - #### pushCurrentTemplateName

          public void pushCurrentTemplateName(String arg0)

    - #### popCurrentTemplateName

          public void popCurrentTemplateName()

    - #### getCurrentTemplateName

          public String getCurrentTemplateName()

    - #### getTemplateNameStack

          public Object[] getTemplateNameStack()

    - #### pushCurrentMacroName

          public void pushCurrentMacroName(String arg0)

    - #### popCurrentMacroName

          public void popCurrentMacroName()

    - #### getCurrentMacroName

          public String getCurrentMacroName()

    - #### getCurrentMacroCallDepth

          public int getCurrentMacroCallDepth()

    - #### getMacroNameStack

          public Object[] getMacroNameStack()

    - #### icacheGet

          public org.apache.velocity.util.introspection.IntrospectionCacheData icacheGet(Object arg0)

    - #### icachePut

          public void icachePut(Object arg0,
                                org.apache.velocity.util.introspection.IntrospectionCacheData arg1)

    - #### setCurrentResource

          public void setCurrentResource(org.apache.velocity.runtime.resource.Resource arg0)

    - #### getCurrentResource

          public org.apache.velocity.runtime.resource.Resource getCurrentResource()

    - #### setMacroLibraries

          public void setMacroLibraries(List arg0)

    - #### getMacroLibraries

          public List getMacroLibraries()

    - #### attachEventCartridge

          public org.apache.velocity.app.event.EventCartridge attachEventCartridge(org.apache.velocity.app.event.EventCartridge arg0)

      Specified by:
        `attachEventCartridge` in interface `org.apache.velocity.context.InternalEventContext`

    - #### getEventCartridge

          public org.apache.velocity.app.event.EventCartridge getEventCartridge()

      Specified by:
        `getEventCartridge` in interface `org.apache.velocity.context.InternalEventContext`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.